﻿Imports KinectManager.Core

Namespace Common

    Public NotInheritable Class BooleanToSolidColorBrushConverter
        Implements IValueConverter


        Public Function Convert(value As Object,
                                targetType As System.Type,
                                parameter As Object,
                                culture As System.Globalization.CultureInfo) As Object Implements System.Windows.Data.IValueConverter.Convert
            If TypeOf value Is Boolean AndAlso TypeOf parameter Is String Then
                Dim bool = CType(value, Boolean)
                Dim parameters = CType(parameter, String).Split(";"c)
                Dim conv = New BrushConverter()
                If bool Then
                    Return CType(conv.ConvertFromString(parameters(0)), SolidColorBrush)
                Else
                    Return CType(conv.ConvertFromString(parameters(1)), SolidColorBrush)
                End If
            End If
            Return Nothing
        End Function

        Public Function ConvertBack(value As Object, targetType As System.Type, parameter As Object, culture As System.Globalization.CultureInfo) As Object Implements System.Windows.Data.IValueConverter.ConvertBack
            Throw New NotImplementedException()
        End Function
    End Class

End Namespace
