﻿Imports System.Reflection

Namespace Helpers
    Public NotInheritable Class FileSystemHelper

        Private Sub New()

        End Sub

        Public Shared Function GetCurrentPath() As String
            Dim fileAbsolutePath As String = Assembly.GetExecutingAssembly().CodeBase
            fileAbsolutePath = fileAbsolutePath.Replace("file:///", "").Replace("/", "\")
            Dim lastSlashIndex = fileAbsolutePath.LastIndexOf("\")
            If lastSlashIndex >= 0 Then
                Return fileAbsolutePath.Substring(0, lastSlashIndex)
            Else
                Return fileAbsolutePath
            End If
        End Function
    End Class
End Namespace