﻿Imports GadgeteerManager

Public Class StartForm

    Dim KM As IRobotControl = New GadgeteerControl

    Private Sub StartForm_FormClosed(sender As Object, e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
        KM.Disconnect()
    End Sub

    Private Sub StartForm_KeyDown(sender As Object, e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyDown
        Select Case e.KeyCode
            Case Windows.Forms.Keys.O
                KM.MotorOn()
            Case Windows.Forms.Keys.P
                KM.MotorOff()
            Case Windows.Forms.Keys.Left
                KM.TurnLeft()
            Case Windows.Forms.Keys.Right
                KM.TurnRight()
            Case Windows.Forms.Keys.Up
                KM.MoveForeward()
            Case Windows.Forms.Keys.Down
                KM.MoveBackward()
            Case Windows.Forms.Keys.Space
                KM.Stop()
        End Select
    End Sub

    Private Sub StartForm_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        KM.Connect("", "")
    End Sub
End Class