﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GadgeteerManager
{
    /// <summary>
    /// The exception that is thrown when an error occurred while trying to connect to Gadgeteer Robot.
    /// </summary>
    public class ConnectionException : Exception
    {
        /// <summary>
        /// Initializes a new instance of the <strong>ConnectionException</strong> class with a specified error message.
        /// </summary>
        /// <param name="message">The error message that explains the reason for the exception.</param>
        public ConnectionException(string message)
            : base(message)
        { }
    }
}
