﻿Namespace EventArgs
    ''' <summary>
    ''' Argomento dell'evento <see cref="Implementations.StateMachineController.StateChanged">StateChanged</see> della classe <see cref="Implementations.StateMachineController">StateMachineController</see>.
    ''' </summary>
    ''' <remarks></remarks>
    Public Class StateChangedEventArgs
        Inherits StateChangeEventArgsBase

        Friend Sub New(ByVal args As StateChangeEventArgsBase)
            Me.Entity = args.Entity
            Me.EntityType = args.EntityType
            Me.Event = args.Event
            Me.EventType = args.EventType
            Me.StateType = args.StateType
        End Sub


        Private _OldState As Object

        ''' <summary>
        ''' Contiene l'istanza del vecchio stato dell'entità sottoposta al cambiamento di stato.
        ''' </summary>
        ''' <value></value>
        ''' <returns></returns>
        ''' <remarks></remarks>
        Public Property OldState() As Object
            Get
                Return Me._OldState
            End Get
            Set(ByVal value As Object)
                Me._OldState = value
            End Set
        End Property

    End Class
End Namespace