﻿Namespace Utilities
    ''' <summary>
    ''' Classe utility per la gestione dell'hash code.
    ''' </summary>
    ''' <remarks></remarks>
    Friend NotInheritable Class HashUtility
        Private Sub New()

        End Sub

        ''' <summary>
        ''' Genera un hash code a partire da un insieme di oggetti.
        ''' </summary>
        ''' <param name="input">Oggetti di cui generare l'hsh code.</param>
        ''' <returns></returns>
        ''' <remarks></remarks>
        Public Shared Function RSHash(ByVal ParamArray input() As Object) As Integer
            Const b As Integer = 17
            Dim a = 23
            Dim hash = 0
            For i As Integer = 0 To input.Length - 1
                If input(i) IsNot Nothing Then
                    Try
                        hash = hash * a + input(i).GetHashCode()
                        a = a * b
                    Catch ex As Exception

                    End Try
                End If
            Next
            Return hash
        End Function
    End Class
End Namespace